
% This script downloads and extracts all videos to the path specified
% below.
%
% Joao F. Henriques, 2014
% http://www.isr.uc.pt/~henriques/


%local path where the videos will be located.
%note that if you change it here, you must also change it in RUN_TRACKER.
base_path = './data/Benchmark/';


%list of videos to download
% all color video in OTB 100 dataset
videos = {
    'Basketball'
    'Biker'
    'Bird1'
    'Bird2'
    'BlurBody'
    'BlurCar1'
    'BlurCar2'
    'BlurCar3'
    'BlurCar4'
    'BlurFace'
    'BlurOwl'
    'Board'
    'Bolt'
    'Bolt2'
    'Box'
    'Boy'
    'Car24'
    'CarDark'
    'CarScale'
    'ClifBar'
    'Coke'
    'Couple'
    'Coupon'
    'Crossing'
    'Crowds'
    'David'
    'David3'
    'Deer'
    'Diving'
    'Dog'
    'Doll'
    'DragonBaby'
    'FaceOcc1'
    'Football1'
    'Girl'
    'Girl2'
    'Gym'
    'Human2'
    'Human3'
    'Human4'
    'Human5'
    'Human6'
    'Human7'
    'Human8'
    'Human9'
    'Ironman'
    'Jump'
    'KiteSurf'
    'Lemming'
    'Liquor'
    'Man'
    'Matrix'
    'MotorRolling'
    'MountainBike'
    'Panda'
    'RedTeam'
    'Rubik'
    'Shaking'
    'Singer1'
    'Singer2'
    'Skating1'
    'Skiing'
    'Soccer'
    'Subway'
    'Surfer'
    'Tiger1'
    'Tiger2'
    'Trans'
    'Trellis'
    'Twinnings'
    'Walking'
    'Walking2'
    'Woman'
    'Jogging'
    'Skating2'};

if ~exist(base_path, 'dir'),  %create if it doesn't exist already
	mkdir(base_path);
end

if ~exist('parpool', 'file'),
	%no parallel toolbox, use a simple 'for' to iterate
	disp('Downloading videos one by one, this may take a while.')
	disp(' ')
	
    for k = 1:numel(videos),
        if ~exist([base_path,'videos{k}'],'file')
            disp(['Downloading and extracting ' videos{k} '...']);
            unzip(['http://cvlab.hanyang.ac.kr/tracker_benchmark/seq/' videos{k} '.zip'], base_path);
        end
    end
	
else
	%download all videos in parallel
	disp('Downloading videos in parallel, this may take a while.')
	disp(' ')
	
	if isempty( gcp('nocreate') ),
        parpool local;
    end
    parfor k = 1:numel(videos),
        if ~exist([base_path,'videos{k}'],'file')
            disp(['Downloading and extracting ' videos{k} '...']);
            unzip(['http://cvlab.hanyang.ac.kr/tracker_benchmark/seq/' videos{k} '.zip'], base_path);
        end
    end
end

